LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
DataOutputStream Service Referencepublished

writes structured data to a chained XOutputStream. More...

`import"DataOutputStream.idl";`

Inheritance diagram for DataOutputStream:

## Exported Interfaces
interface | com::sun::star::io::XDataOutputStream
| allows to write structured data. More...
interface | com::sun::star::io::XActiveDataSource
| used to plug the outputstream-data-sink. More...

## Additional Inherited Members
Public Member Functions inherited from XDataOutputStream
void | writeBoolean ([in] boolean Value) raises ( com::sun::star::io::IOException )
| writes a boolean. More...
void | writeByte ([in] byte Value) raises ( com::sun::star::io::IOException )
| writes an 8-bit byte. More...
void | writeChar ([in] char Value) raises ( com::sun::star::io::IOException )
| writes a 16-bit character. More...
void | writeShort ([in] short Value) raises ( com::sun::star::io::IOException )
| writes a 16-bit big endian integer. More...
void | writeLong ([in] long Value) raises ( com::sun::star::io::IOException )
| writes a 32-bit big endian integer. More...
void | writeHyper ([in] hyper Value) raises ( com::sun::star::io::IOException )
| writes a 64-bit big endian integer. More...
void | writeFloat ([in] float Value) raises ( com::sun::star::io::IOException )
| writes a 32-bit IEEE float. More...
void | writeDouble ([in] double Value) raises ( com::sun::star::io::IOException )
| writes a 64-bit IEEE double. More...
void | writeUTF ([in] string Value) raises ( com::sun::star::io::IOException )
| writes a string in UTF format. More...
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream. More...
com::sun::star::io::XOutputStream | getOutputStream ()

## Detailed Description

writes structured data to a chained XOutputStream.

An implementation of this service in general does not need to buffer data itself.

## Exported Interfaces

## ◆ com::sun::star::io::XActiveDataSource

interface com::sun::star::io::XActiveDataSource

used to plug the outputstream-data-sink.

A plain output stream is sufficient.

## ◆ com::sun::star::io::XDataOutputStream

interface com::sun::star::io::XDataOutputStream

allows to write structured data.

The documentation for this service was generated from the following file:

- com/sun/star/io/DataOutputStream.idl